local function on_filetype(ftype, cb)
  vim.api.nvim_create_autocmd('FileType', {
    pattern = { ftype },
    callback = cb,
  })
end

on_filetype('html', function() _G.tabs(4) end)
on_filetype('typescript', function() _G.tabs(2) end)
on_filetype('zig', function() _G.spaces(4) end)
on_filetype('lua', function() _G.spaces(2) end)
on_filetype('sh', function() _G.tabs(2) end)
