return {
  {
    'catppuccin/nvim',
    name = 'catppuccin',

    enabled = false,

    config = function()
      vim.cmd.colorscheme 'catppuccin'
    end,
  },
  {
    'rebelot/kanagawa.nvim',

    enabled = false,

    opts = {
      theme = 'wave',
    },

    config = function(_, opts)
      require('kanagawa').setup(opts)
      vim.cmd.colorscheme 'kanagawa'
    end,
  },
  {
    'savq/melange-nvim',

    enabled = false,

    config = function()
      vim.cmd.colorscheme 'melange'
    end,
  },
  {
    'dracula/vim',
    name = 'dracula',

    enabled = false,

    config = function()
      vim.cmd.colorscheme 'dracula'
    end,
  },
  {
    'folke/tokyonight.nvim',

    -- enabled = false,

    opts = {
      style = 'moon'
    },

    config = function(_, opts)
      require('tokyonight').setup(opts)
      vim.cmd.colorscheme 'tokyonight'
    end,
  },
  {
    'navarasu/onedark.nvim',

    enabled = false,

    config = function()
      vim.cmd.colorscheme 'onedark'
    end,
  },
}
