return {
  {
    'voldikss/vim-floaterm',

    keys = {
      { '<leader>tt', '<cmd>FloatermToggle<cr>',      mode = 'n', desc = 'Toggle a floaterm' },
      { '<leader>to', '<cmd>FloatermNew bash<cr>',    mode = 'n', desc = 'Create a new floaterm running a bash shell' },
      { '<leader>th', '<cmd>FloatermHide<cr>',        mode = 'n', desc = 'Hide the current floaterm' },
      { '<leader>tk', '<cmd>FloatermKill<cr>',        mode = 'n', desc = 'Kill the latest floaterm' },
      { '<leader>tp', '<cmd>FloatermPrev<cr>',        mode = 'n', desc = 'Go to the previous floaterm' },
      { '<leader>tn', '<cmd>FloatermNext<cr>',        mode = 'n', desc = 'Go to the next floaterm' },
      { '<leader>ts', '<cmd>FloatermShow<cr>',        mode = 'n', desc = 'Show the latest floaterm' },
      { '<leader>tg', '<cmd>FloatermNew lazygit<cr>', mode = 'n', desc = 'Create a new floaterm running lazygit' },
      { '<leader>bf', '<cmd>FloatermNew bash<cr>',    mode = 'n', desc = 'Create a new floaterm running a bash shell' },
    },

    config = function()
      vim.g.floaterm_shell = 'bash --login'
    end,
  },
}
