return {
  {
    'nvim-neorg/neorg',
    dependencies = { 'nvim-lua/plenary.nvim' },
    ft = 'norg',
    opts = {
      load = {
        ['core.defaults'] = {},
        ['core.concealer'] = {},
        ['core.summary'] = {},
        ['core.export'] = {},
        ['core.export.markdown'] = { config = {
            extensions = 'all',
        }},
        --['core.ui.calendar'] = {},
      },
    },
    keys = {
      { '<leader>j.', '<cmd>Neorg journal today<cr>', mode = 'n', desc = "Open today's Neorg journal" },
      { '<leader>j>', '<cmd>Neorg journal tomorrow<cr>', mode = 'n', desc = "Open tomorrow's Neorg journal" },
    },
  },
}
